import { JiraType } from "./index.js";
export declare enum TEST_STATUS {
    FINISHED = "finished",
    UNFINISHED = "in progress"
}
export declare type Results = {
    testStatus: {
        savedTo: string;
        currentTestPath?: string;
        currentScenario?: number;
        status: TEST_STATUS;
        testFilesRoutes: string[];
    };
    passedTests: {
        testPath: string;
        scenarioTitle: string;
        scenarioContent: string;
        featureContent: string;
    }[];
    failedTests: {
        testPath: string;
        reasonOfFail: string;
        scenarioContent: string;
        scenarioTitle: string;
        featureContent: string;
    }[];
};
export declare const doTests: (testsPaths: string[], outPath: string, jira?: JiraType) => Promise<void>;
