import fs from "fs";
import { message } from "bddx-core";
import { TEST_STATUS } from "../coreFunctions/doTests.js";
export const getFailedTestsNames = async (outPath) => {
    if (!fs.existsSync(outPath)) {
        message("Output path does not exists", "red");
        return;
    }
    const fileNames = [];
    fs.readdirSync(outPath).forEach((file) => {
        const fileContent = JSON.parse(fs.readFileSync(outPath + "/" + file).toString("utf8"));
        if (file.endsWith(".json") && fileContent.failedTests.length > 0) {
            fileNames.push(file);
        }
    });
    return fileNames;
};
export const getUnfinishedTestsNames = async (outPath) => {
    if (!fs.existsSync(outPath)) {
        message("Output path does not exists", "red");
        return;
    }
    const fileNames = [];
    fs.readdirSync(outPath).forEach((file) => {
        const fileContent = JSON.parse(fs.readFileSync(outPath + "/" + file).toString("utf8"));
        if (fileContent.testStatus.status === TEST_STATUS.UNFINISHED &&
            file.endsWith(".json")) {
            fileNames.push(file);
        }
    });
    return fileNames;
};
//# sourceMappingURL=testPathsHandlers.js.map